using System.ServiceModel;

namespace BeWo.Data
{
    public class MultitenancyOperationContextExt : IExtension<OperationContext>
    {
        public static MultitenancyOperationContextExt Current
        {
            get
            {
				return OperationContext.Current != null ? OperationContext.Current.Extensions.Find<MultitenancyOperationContextExt>() : null;
            }
        }

        public string Tenant { get; set; }

        public void Attach(OperationContext owner)
        {
        }

        public void Detach(OperationContext owner)
        {
        }
    }
}